<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG Promo Bar
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

JModelLegacy::addIncludePath(JPATH_SITE.'/components/com_jmgpromobar/models', 'JmgPromoBarModel');

abstract class modJmgPromoBarHelper
{
    /**
	 * Method to get the offers
	 * @access public
	 * @return array
	 */
	public static function getList(&$params)
	{ 
		$settings = JComponentHelper::getParams('com_jmgpromobar');
		
		# Retrieve offers model for the data
		$model = JModelLegacy::getInstance('Offers', 'JmgPromoBarModel', array('ignore_request' => true));
		
		$model->setState('list.ordering','id');
		$model->setState('list.published',1);
		$model->setState('list.groupid',$params->get('groupid'));
		$model->setState('list.limit',$params->get('limit', 3));
		$model->setState('list.ordering',$params->get('ordering', 'a.ordering'));
		$model->setState('list.direction',$params->get('direction', 'ASC'));
		
		$list = $model->getItems();
		
		return $list;
	}
	/**
	 * Method to get the group
	 * @access public
	 * @return array
	 */
	public static function getGroup(&$params)
	{ 
		$settings = JComponentHelper::getParams('com_jmgpromobar');
		
		# Retrieve offers model for the data
		$model = JModelLegacy::getInstance('Offers', 'JmgPromoBarModel', array('ignore_request' => true));
		
		$model->setState('list.groupid',$params->get('groupid'));
		
		$group = $model->getGroup();
		
		return $group;
	}
	/**
	 * Method to get the module
	 * @access public
	 * @return array
	 */
	public static function getModule($moduleid)
	{ 
		$document = JFactory::getDocument();
		$renderer = $document->loadRenderer('module');
		$contents = '';
		$db = JFactory::getDBO();
		$db->setQuery("SELECT * FROM `#__modules` WHERE id = '".$moduleid."'");
		$modules = $db->loadObjectList();
		$module = $modules[0];  
		$contents = $renderer->render($module); 
		return $contents;
	}
}
?>