<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG EventOn Top Events
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$doc  = JFactory::getDocument();
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmgeventon_top_events/assets/css/mod_jmgeventon_top_events_carousel.css');
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmgeventon_top_events/assets/css/splide.min.css');
$doc->addScript(Juri::base() . 'modules/mod_jmgeventon_top_events/assets/js/splide.min.js');

$style = '.jmg-events-body .image{'
	. 'height: '.$height.'px;'
	. '}'; 
$doc->addStyleDeclaration($style);

$script = "
	document.addEventListener( 'DOMContentLoaded', function () {
			new Splide( '.splide', {
			type   : 'loop',
			perPage: ".$cols.",
			perMove: 1,
			autoplay: true,
			pagination: false,
		} ).mount();
	} );
";
$doc->addScriptDeclaration($script);
?>
<div class="jmg-events-body">
	<div class="splide">
		<div class="splide__track">
			<ul class="splide__list">
				<?php foreach ($list as $i => $item) : ?>
				<li class="splide__slide">
					<div class="headline">
						<h2 class="start"><?php echo JHtml::_('date', $item->event_start_time, 'd'); ?> <?php echo JHtml::_('date', $item->event_start_time, 'M'); ?></h2>
						<?php if ($item->event_start_time != $item->event_end_time) : ?>
						<h4 class="end"> - <?php echo JHtml::_('date', $item->event_end_time, 'd M Y'); ?></h4>	
						<?php endif; ?>	
					</div>
					<div class="image">
						<a href="<?php echo JRoute::_(JmgEventOnHelperRoute::getEventRoute($item->id,$item->catid,0)); ?>">
						<img src="<?php echo ($item->image == '')? JURI::root().'/media/com_jmgeventon/images/placeholder.jpg' : JURI::root().$item->image; ?>" alt="<?php echo $item->name; ?>" />
						</a>
					</div>
					<div class="text">
						<h3><?php echo $item->name; ?></h3>
						<p><?php echo $item->description; ?></p>
					</div>
				</li>
				<?php endforeach; ?>
			</ul>
		</div>
	</div>
</div>