<?php
/**
 * @package    Joomla.Site
 * @subpackage Modules JMG Promo Bar
 * @link http://joomega.com
 * @copyright   Copyright (C) 2020 - 2027 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$doc  = JFactory::getDocument();
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmgpromobar/assets/css/mod_jmgpromobar_'.$template.'_'.$direction.'.css');
$style = '.jmg-promobar-body{'
	. 'background: '.$bgcolor.';'
	. 'color: '.$textcolor.';'
	. 'padding: '.$padding.';'
	. '}'
	. '.jmg-promobar-body .image{'
	. 'height: '.$height.'px;'
	. '}'
	. '.jmg-promobar-tab a{'
	. 'background: '.$bgcolortab.'!important;'
	. 'color: '.$textcolortab.'!important;'
	. '}'
	. '@media (min-width: 1200px) {'
	. '.jmg-promobar-body .container{'
	. 'width: '.$width.';'
	. '}'
	. '}'; 
$doc->addStyleDeclaration($style);
?>

<div id="jmg-promobar" class="jmg-promobar-wrapper <?php echo $position; ?>">
	<a href="#"><div class="jmg-promobar-overlay"></div></a>
	<div class="jmg-promobar-tab top <?php echo $tabposition; ?>">
		<a class="jmg-open" href="#jmg-promobar"><?php echo $group->name; ?> <span class="icon-chevron-up"> </span></a> <a class="jmg-close" href="#">Close <span class="icon-chevron-down"> </span></a>
	</div>
	<div class="jmg-promobar-body">
		<div class="<?php echo $container; ?>">
			<div class="row-fluid">
			<?php $counter = 0; ?>
			<?php foreach ($list as $i => $item) : ?>
				<div class="span<?php echo 12 / $cols; ?>">
					<?php if ($item->showtitle): ?>
					<div class="name">
						<h4><?php echo $item->name; ?></h4>
					</div>
					<?php endif; ?>
					<?php if ($item->contenttype == 1): ?>
						<?php if ($item->image): ?>
						<div class="image">
							<figure>
								<a href="<?php echo ($item->linktype == 1)? JRoute::_('index.php?Itemid='.$item->menuitem, false) : $item->externurl; ?>" target="<?php echo $item->linktarget; ?>">
									<img src="<?php echo JURI::root().$item->image; ?>" alt="<?php echo $item->image_alt; ?>" />
								</a>
								<figcaption>

								</figcaption>
							</figure>
						</div>
						<?php endif; ?>
						<div class="short_description">
							<?php echo $item->short_description; ?>
						</div>
						<div class="description">
							<?php echo $item->description; ?>
						</div>
					<?php else: ?>
					<?php echo modJmgPromoBarHelper::getModule($item->contentid); ?>
					<?php endif; ?>
				</div>	
			<?php $counter++; ?>	
			<?php if (($counter % $cols) == 0): ?>
			</div>
			<div class="row-fluid">
			<?php endif; ?>	
			<?php endforeach; ?>
			</div>
			<?php if ($custom): ?>
			<?php echo $custom; ?>
			<?php endif; ?>	
		</div>
	</div>
	
	<div class="jmg-promobar-tab bottom <?php echo $tabposition; ?>">
		<a class="jmg-open" href="#jmg-promobar"><?php echo $group->name; ?> <span class="icon-chevron-down"> </span></a> <a class="jmg-close" href="#">Close <span class="icon-chevron-up"> </span></a
	</div>
</div>